org.apache.cassandra.cache

## Class KeyCacheKey

- java.lang.Object
- - org.apache.cassandra.cache.CacheKey
  - - org.apache.cassandra.cache.KeyCacheKey

All Implemented Interfaces:
  IMeasurableMemory

    public class KeyCacheKey
    extends CacheKey

### Field Summary

Fields
`Descriptor` `desc`
`byte[]` `key`

### Fields inherited from class org.apache.cassandra.cache.CacheKey

`ksAndCFName`

### Constructor Summary

Constructors
Constructor and Description
`KeyCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName, Descriptor desc, java.nio.ByteBuffer key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### desc

    public final Descriptor desc

#### key

    public final byte[] key

### Constructor Detail

#### KeyCacheKey

    public KeyCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName,
                       Descriptor desc,
                       java.nio.ByteBuffer key)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### unsharedHeapSize

    public long unsharedHeapSize()

Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`